Novant

Documentation

Sign in

Import Source Map

Imports source map data to add or update a source map record in a project.

POST /v1/import/source-map

Content

See Source Maps for details on the CSV format used for source maps. Unlike the other import endpoints, this CSV describes a single source map: the first data row is the map itself, and each following row is a point in that map.

name,      id,   type,                 addr, unit, vendor
ECB-600,   sm.1, bacnet,               ,     ,     Distech
Zone Temp, 1,    zone_air_temp_sensor, ai.1, °F,
Cooling,   2,    generic,              av.3, %,

Leave the map id blank to create a new source map.

curl https://api.novant.io/v1/import/source-map \
  -X POST \
  -u ak_sample_123: \
  -H "Content-Type: text/csv" \
  --data-binary @source-map.csv

Returns

Returns ok if import was successful.

{ "status": "ok" }